Last Comment Bug 1302503 - Allow quitApplication to accept no parameters
: Allow quitApplication to accept no parameters
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: Marionette (show other bugs)
: Version 3
: All All
-- normal (vote)
: mozilla51
Assigned To: Andreas Tolfsen
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-13 11:30 PDT by Andreas Tolfsen
Modified: 2016-09-15 05:05 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1302503 - Allow quitApplication to be called without flags; (58 bytes, text/x-review-board-request)
2016-09-13 11:39 PDT, Andreas Tolfsen
dburns: review+
Details | Review

Description User image Andreas Tolfsen 2016-09-13 11:30:09 PDT
GeckoDriver#quitApplication currently requires {flags: [<string> [, <string>]]} to be sent as parameters.  It should be possible to call it without specifying any flags.
Comment 1 User image Andreas Tolfsen 2016-09-13 11:39:27 PDT Comment hidden (mozreview-request)
Comment 2 User image David Burns :automatedtester 2016-09-13 12:07:15 PDT
Comment on attachment 8790883 [details]
Bug 1302503 - Allow quitApplication to be called without flags;

https://reviewboard.mozilla.org/r/78496/#review77056
Comment 3 User image Pulsebot 2016-09-13 17:40:30 PDT
Pushed by atolfsen@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/bd83454dcec3
Allow quitApplication to be called without flags; r=automatedtester
Comment 4 User image Carsten Book [:Tomcat] 2016-09-14 03:12:29 PDT
https://hg.mozilla.org/mozilla-central/rev/bd83454dcec3
Comment 5 User image Andreas Tolfsen 2016-09-14 04:15:21 PDT
Sheriffs: Test-only uplift.
Comment 6 User image Carsten Book [:Tomcat] 2016-09-15 03:25:12 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/0d74830d451a
Comment 7 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2016-09-15 03:38:28 PDT
Andreas, we already merged the beta branch into release by last week. So the current aurora landing will become beta by next week. I don't think we need this on the release branch, right?
Comment 8 User image Andreas Tolfsen 2016-09-15 05:05:05 PDT
The more branches we can uplift to the better, but we normally don’t uplift to release.

Note You need to log in before you can comment on or make changes to this bug.